%global pkgname sozi-release
%global hgdate	21064303
%global inkscape_extensions_dir %{_datadir}/inkscape/extensions
%global sozidir sozi 

Name:		inkscape-sozi
Version:	13.05
Release:	3%{?dist}
Summary:	Inkscape extension for creating animated presentations
Group:		Applications/Productivity
License:	GPLv2+ or MIT
URL:		http://sozi.baierouge.fr/wiki/doku.php
Source0:	http://sozi.baierouge.fr/wiki/_media/dl:%{pkgname}-%{version}-%{hgdate}.zip
BuildArch:	noarch
Buildrequires:	python2-devel
Requires:	inkscape
Requires:	python2
Requires:	pygtk2
Requires:	python-lxml


%description
inkscape extension for creating animated presentations
Playing such a presentation
consists in a series of translations, zooms and rotations that allow
to focus on the elements you want to show

%prep
%setup -q -n %{pkgname}-%{version}-%{hgdate}

%build

%install
mkdir -p      %{buildroot}%{inkscape_extensions_dir}
mkdir -p      %{buildroot}%{inkscape_extensions_dir}/%{sozidir}
mkdir -p      %{buildroot}%{inkscape_extensions_dir}/%{sozidir}/lang

# Copy dirs
cp -pr *      %{buildroot}%{inkscape_extensions_dir}
cp -pr sozi/* %{buildroot}%{inkscape_extensions_dir}/%{sozidir}

# Install languages 
(cd %{buildroot} && find . -name '*.mo') | sed -e 's|^.||' |
%{__sed} -e \
   's:\(.*/lang/\)\([^/_]\+\)\(.*\.mo$\):%lang(\2) \1\2\3:' \
      >> sozi.lang

%files -f sozi.lang
%doc sozi/GPL-license.txt sozi/MIT-license.txt 
%{inkscape_extensions_dir}/sozi.inx
%{inkscape_extensions_dir}/sozi.pyc
%{inkscape_extensions_dir}/sozi.pyo
%{inkscape_extensions_dir}/sozi_extras_link.inx
%{inkscape_extensions_dir}/sozi_extras_link.pyc
%{inkscape_extensions_dir}/sozi_extras_link.pyo
%{inkscape_extensions_dir}/sozi_extras_media.inx
%{inkscape_extensions_dir}/sozi_extras_media.pyc
%{inkscape_extensions_dir}/sozi_extras_media.pyo
%{inkscape_extensions_dir}/sozi_extras_upgrade.inx
%{inkscape_extensions_dir}/sozi_extras_upgrade.pyc
%{inkscape_extensions_dir}/sozi_extras_upgrade.pyo
%{inkscape_extensions_dir}/%{sozidir}/actions.py
%{inkscape_extensions_dir}/%{sozidir}/actions.pyc
%{inkscape_extensions_dir}/%{sozidir}/actions.pyo
%{inkscape_extensions_dir}/%{sozidir}/document.py
%{inkscape_extensions_dir}/%{sozidir}/document.pyc
%{inkscape_extensions_dir}/%{sozidir}/document.pyo
%{inkscape_extensions_dir}/%{sozidir}/fields.py
%{inkscape_extensions_dir}/%{sozidir}/fields.pyc
%{inkscape_extensions_dir}/%{sozidir}/fields.pyo
%{inkscape_extensions_dir}/%{sozidir}/media_upgrade.py
%{inkscape_extensions_dir}/%{sozidir}/media_upgrade.pyc
%{inkscape_extensions_dir}/%{sozidir}/media_upgrade.pyo
%{inkscape_extensions_dir}/%{sozidir}/ui.py
%{inkscape_extensions_dir}/%{sozidir}/ui.pyc
%{inkscape_extensions_dir}/%{sozidir}/ui.pyo
%{inkscape_extensions_dir}/%{sozidir}/ui.glade
%{inkscape_extensions_dir}/%{sozidir}/upgrade.py
%{inkscape_extensions_dir}/%{sozidir}/upgrade.pyc
%{inkscape_extensions_dir}/%{sozidir}/upgrade.pyo
%{inkscape_extensions_dir}/%{sozidir}/version.py
%{inkscape_extensions_dir}/%{sozidir}/version.pyc
%{inkscape_extensions_dir}/%{sozidir}/version.pyo
%{inkscape_extensions_dir}/%{sozidir}/icon.png
%{inkscape_extensions_dir}/%{sozidir}/sozi.min.css
%{inkscape_extensions_dir}/%{sozidir}/sozi.min.js
%{inkscape_extensions_dir}/%{sozidir}/sozi_extras_media.min.js
%{inkscape_extensions_dir}/%{sozidir}/__init__.py
%{inkscape_extensions_dir}/%{sozidir}/__init__.pyc
%{inkscape_extensions_dir}/%{sozidir}/__init__.pyo
%{inkscape_extensions_dir}/%{sozidir}/GPL-license.txt
%{inkscape_extensions_dir}/%{sozidir}/MIT-license.txt
%attr(0755,root,root) %{inkscape_extensions_dir}/sozi_extras_upgrade.py
%attr(0755,root,root) %{inkscape_extensions_dir}/sozi_extras_link.py
%attr(0755,root,root) %{inkscape_extensions_dir}/sozi_extras_media.py
%attr(0755,root,root) %{inkscape_extensions_dir}/sozi.py



%changelog
* Tue Aug 27 2013 Eduardo Echeverria <echevemaster@gmail.com> - 13.05-3
- Adding BuildRequires python2-devel for python code be byte-compiled when build on ARM

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 13.05-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri May 24 2013 Eduardo Echeverria  <echevemaster@gmail.com> - 13.05-1
- Update to release 13.05

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 12.09-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Sep 28 2012 Eduardo Echeverria  <echevemaster@gmail.com> - 12.09-1
- Initial Build Release 12.09

* Mon Sep 10 2012 Eduardo Echeverria  <echevemaster@gmail.com> - 12.05-7
- Change Files permissions with defattr for list.
- Change Files permissions with attr for executables

* Mon Sep 10 2012 Eduardo Echeverria  <echevemaster@gmail.com> - 12.05-6
- Change Files permissions.

* Sat Sep 08 2012 Eduardo Echeverria  <echevemaster@gmail.com> - 12.05-5
- Change description
- Change Files permissions.

* Thu Sep 06 2012 Eduardo Echeverria  <echevemaster@gmail.com> - 12.05-4
- Remove changelog entries has a trailing $
- Change license  "or" instead of "and"
- Remove the section Provides

* Wed Sep 05 2012 Eduardo Echeverria  <echevemaster@gmail.com> - 12.05-3
- Cosmetic Changes in changelog

* Wed Sep 05 2012 Eduardo Echeverria  <echevemaster@gmail.com> - 12.05-2
- Changing the name of the package according http://fedoraproject.org/wiki/Packaging:NamingGuidelines#Addon_Packages_.28General.29
- Cosmetic Changes in changelog

* Wed Sep 05 2012 Eduardo Echeverria  <echevemaster@gmail.com> - 12.05-1
- Initial packaging
